<dx-tab-panel id='transClass' class='box-shadow'>
  <dxi-item title='În curs'>

    <dx-data-grid class='TabPanelGrids' #gridEntryTransport [columnAutoWidth]='true' [allowColumnResizing]='true'
      [allowColumnReordering]='true' [rowAlternationEnabled]='ui.rowAlternationEnabled' [showColumnLines]='ui.showColumnLines'
      [showRowLines]='ui.showRowLines' [dataSource]='dsTransportEntry' [columnHidingEnabled]='ui.columnHidingEnabled'
      [height]='ui.gridTabsHeight' (onToolbarPreparing)='toolbarPreparing($event, "add")'>
      <dxo-export [enabled]='true' [enabled]='true' fileName='Transport_deșeuri'></dxo-export>
      <dxo-header-filter [visible]='true'></dxo-header-filter>
      <dxo-group-panel [visible]='true'></dxo-group-panel>
      <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='true'></dxo-scrolling>
      <dxo-remote-operations [sorting]="true" [paging]="true" [filtering]="true"></dxo-remote-operations>
      <dxo-search-panel [visible]='true'></dxo-search-panel>
      <dxo-state-storing [enabled]="true" type="localStorage" storageKey="qhseTransport"></dxo-state-storing>
      <dxo-filter-row [visible]='true'></dxo-filter-row>
      <dxo-column-chooser [enabled]="true" mode='dragAndDrop'></dxo-column-chooser>
      <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
      <dxo-paging [pageSize]="25"></dxo-paging>

      <dxi-column type="buttons" [width]='130' fixedPosition='left' [fixed]='true' [allowResizing]='false'
        [showInColumnChooser]='false'>
        <dxi-button hint='Finalizează transport' icon='car' [onClick]='onFinishTransportClick'></dxi-button>
        <!-- <dxi-button hint='Anexa 3' icon='doc' [onClick]='onRaportTransportClick'></dxi-button> -->
        <dxi-button template='anexaTemplate'></dxi-button>
        <dxi-button hint='Editează' icon="edit" [onClick]="onEditTransportClick"></dxi-button>
        <dxi-button hint='Șterge' icon='trash' [onClick]="onDeleteTransportClick"></dxi-button>
      </dxi-column>

      <div *dxTemplate="let cell of 'anexaTemplate'">
        <a *ngIf='cell.data.wt_hazard' style='color: red' class='dx-link dx-icon-doc' (click)='onRaportTransport(cell)'
          title='Anexa 2'></a>
        <a *ngIf='!cell.data.wt_hazard' style='color: green' class='dx-link dx-icon-doc' (click)='onRaportTransport(cell)'
          title='Anexa 3'></a>
      </div>

      <dxi-column caption='Nr.' dataField='t_no' dataType='number' minWidth='100' [allowHeaderFiltering]='false'>
      </dxi-column>
      <dxi-column caption='Entitate' dataField='ent_name' dataType='string'></dxi-column>
      <dxi-column caption='Punct de lucru' dataField='wc_name' dataType='string'></dxi-column>
      <dxi-column caption='Cod deșeu' dataField='wt_code' dataType='string'></dxi-column>
      <dxi-column caption='Dată transport' dataField='t_sendDate' dataType='date' calculateSortValue='t_sendDate'
        [calculateDisplayValue]='ds.getDate'></dxi-column>
      <dxi-column caption='Transportator' dataField='tr_name' dataType='string'></dxi-column>
      <dxi-column caption='Destinatar' dataField='rt_name' dataType='string'></dxi-column>
      <dxi-column caption='Număr vehicul' dataField='t_carNumber' dataType='string' [allowHeaderFiltering]='false'>
      </dxi-column>
      <dxi-column caption='UM' dataField='wt_uom' minWidth='110' dataType='number'>
        <dxo-lookup [dataSource]='ds.uom' valueExpr='id' displayExpr='value'></dxo-lookup>
      </dxi-column>
      <dxi-column caption='Cantitate' dataField='t_quantity' dataType='number' [allowHeaderFiltering]='false'>
      </dxi-column>
      <dxi-column caption='Cântărire' dataField='t_weighing' minWidth='130' dataType='string'>
        <dxo-lookup [dataSource]='ds.weighing' valueExpr='id' displayExpr='value'> </dxo-lookup>
      </dxi-column>
      <dxi-column caption='Creat de' dataField='ti_createdBy' dataType='string'></dxi-column>
      <dxi-column caption='Modificat de' dataField='ti_modifiedBy' dataType='string'></dxi-column>
      <dxi-column caption='Data crearii' dataField='ti_created' dataType='datetime' calculateSortValue='ti_created'
        [calculateDisplayValue]='ds.getDateTime'></dxi-column>
      <dxi-column caption='Ultima modificare' dataField='ti_modified' dataType='datetime' calculateSortValue='ti_modified'
        [calculateDisplayValue]='ds.getDateTime'></dxi-column>

    </dx-data-grid>
  </dxi-item>

  <dxi-item title='Finalizate'>
    <dx-data-grid class='TabPanelGrids' #gridFinishTransport [columnAutoWidth]='true' [allowColumnResizing]='true'
      [allowColumnReordering]='true' [rowAlternationEnabled]='ui.rowAlternationEnabled' [showColumnLines]='ui.showColumnLines'
      [showRowLines]='ui.showRowLines' [dataSource]='dsTransportFinish' [columnHidingEnabled]='ui.columnHidingEnabled'
      [height]='ui.gridTabsHeight' (onToolbarPreparing)='toolbarPreparing($event, "fin")'>
      <dxo-export [enabled]='true' [enabled]='true' fileName='transportFinish'></dxo-export>
      <dxo-header-filter [visible]='true'></dxo-header-filter>
      <dxo-group-panel [visible]='true'></dxo-group-panel>
      <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='true'></dxo-scrolling>
      <dxo-remote-operations [sorting]="true" [paging]="true" [filtering]="true"></dxo-remote-operations>
      <dxo-search-panel [visible]='true'></dxo-search-panel>
      <dxo-state-storing [enabled]="true" type="localStorage" storageKey="qhseWasteFiles"></dxo-state-storing>
      <dxo-filter-row [visible]='true'></dxo-filter-row>
      <dxo-column-chooser [enabled]="true" mode='dragAndDrop'></dxo-column-chooser>
      <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
      <dxo-paging [pageSize]="25"></dxo-paging>
      <dxo-master-detail [enabled]='true' template='details'></dxo-master-detail>

      <dxi-column type="buttons" [width]="100" fixedPosition='left' [fixed]='true' [allowResizing]='false'
        [showInColumnChooser]='false'>
        <!-- <dxi-button hint='Deschide raport' icon='doc' [onClick]='onRaportTransportClick'></dxi-button> -->
        <dxi-button template='anexaTemplate'></dxi-button>
        <dxi-button hint='Editează' icon="edit" [onClick]="onEditTransFinishClick"></dxi-button>
        <dxi-button hint='Șterge' icon='trash' [onClick]="onDeleteTransFinishClick"></dxi-button>
      </dxi-column>

      <div *dxTemplate="let cell of 'anexaTemplate'">
        <a *ngIf='cell.data.wt_hazard' style='color: red' class='dx-link dx-icon-doc' (click)='onRaportTransport(cell)'
          title='Anexa 3'></a>
        <a *ngIf='!cell.data.wt_hazard' style='color: green' class='dx-link dx-icon-doc' (click)='onRaportTransport(cell)'
          title='Anexa 2'></a>
      </div>

      <dxi-column caption='Nr.' dataField='t_no' dataType='number' minWidth='100' [allowHeaderFiltering]='false'>
      </dxi-column>
      <dxi-column caption='Entitate' dataField='ent_name' dataType='string'></dxi-column>
      <dxi-column caption='Punct de lucru' dataField='wc_name' dataType='string'></dxi-column>
      <dxi-column caption='Cod deșeu' dataField='wt_code' dataType='string'></dxi-column>
      <dxi-column caption='Dată transport' dataField='t_sendDate' dateType='datetime' calculateSortValue='t_sendDate'
        [calculateDisplayValue]='ds.getDate'></dxi-column>
      <dxi-column caption='Transportator' dataField='tr_name' dataType='string'></dxi-column>
      <dxi-column caption='Destinatar' dataField='rt_name' dataType='string'></dxi-column>
      <dxi-column caption='Număr vehicul' dataField='t_carNumber' dataType='string' [allowHeaderFiltering]='false'>
      </dxi-column>
      <dxi-column caption='UM' dataField='wt_uom' minWidth='110' dataType='number'>
        <dxo-lookup [dataSource]='ds.uom' valueExpr='id' displayExpr='value'></dxo-lookup>
      </dxi-column>
      <dxi-column caption='Cantitate' dataField='t_quantity' dataType='number' [allowHeaderFiltering]='false'>
      </dxi-column>
      <dxi-column caption='Cântărire' dataField='t_weighing' minWidth='130' dataType='string'>
        <dxo-lookup [dataSource]='ds.weighing' valueExpr='id' displayExpr='value'> </dxo-lookup>
      </dxi-column>
      <dxi-column caption='Cantitate valorificată' dataField='t_valuedQuantity' dataType='number'
        [allowHeaderFiltering]='false'>
      </dxi-column>
      <dxi-column caption='Cantitate eliminată' dataField='t_eliminatedQuantity' dataType='number'
        [allowHeaderFiltering]='false'></dxi-column>
      <dxi-column caption='Dată stocare temporară' dataField='t_tempStockDate' dateType='datetime' calculateSortValue='t_tempStockDate'
        [calculateDisplayValue]='ds.getDate'></dxi-column>
      <dxi-column caption='Cost transport' dataField='t_shippingCost' dataType='number'></dxi-column>
      <dxi-column caption='Dată recepție' dataField='t_receptionDate' dateType='datetime' calculateSortValue='t_receptionDate'
        [calculateDisplayValue]='ds.getDate'></dxi-column>
      <dxi-column caption='Dată finalizare' dataField='t_finishDate' dateType='datetime' calculateSortValue='t_finishDate'
        [calculateDisplayValue]='ds.getDate'></dxi-column>
      <dxi-column caption='Creat de' dataField='ti_createdBy' dataType='string'></dxi-column>
      <dxi-column caption='Modificat de' dataField='ti_modifiedBy' dataType='string'></dxi-column>
      <dxi-column caption='Data crearii' dataField='ti_created' dataType='datetime' calculateSortValue='ti_created'
        [calculateDisplayValue]='ds.getDateTime'></dxi-column>
      <dxi-column caption='Ultima modificare' dataField='ti_modified' dataType='datetime' calculateSortValue='ti_modified'
        [calculateDisplayValue]='ds.getDateTime'></dxi-column>

      <div *dxTemplate='let data of "details"'>
        <app-file-upload [gridData]='{ data: { id: data.t_id } }'></app-file-upload>
      </div>
    </dx-data-grid>
  </dxi-item>

  <!-- <dxi-item title='Transport - Cântărire'></dxi-item> -->
</dx-tab-panel>

<dx-popup [minWidth]='ui.minWidthPopup' maxWidth='90vw' width='auto' maxHeight='90vh' height='auto' contentTemplate="popupTemplate"
  title='Finalizare Transport' (onShown)='ui.onPopupShown($event)' (onHidden)='ui.onPopupHidden($event)'
  (onInitialized)='finish.popupInit($event)'>
  <div *dxTemplate="let data of 'popupTemplate'">
    <dx-scroll-view [height]='ui.scrollHeight' direction="vertical" showScrollbar='always' [useNative]='false'>
      <app-finish-transport></app-finish-transport>
    </dx-scroll-view>
  </div>
  <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton" [options]="{ text:'Salvează', icon:'save', type: 'normal', onClick: finish.onSave, validationGroup: finish.validation }">
  </dxi-toolbar-item>
</dx-popup>